Page MenuHomePhabricator

Align BetaFeature SVGs to each other
Closed, ResolvedPublic

Description

The BetaFeature SVGs across products have been spared from color and parts of the markup unification so far, as they should be updated in one patch sequence altogether.


Example markup for optimized SVG (also as template in Extension:BetaFeatures w/o the comment):

<?xml version="1.0" encoding="UTF-8"?>
<svg xmlns="http://www.w3.org/2000/svg" width="264" height="162" viewBox="0 0 264 162">
    <defs>
        <clipPath id="jagged-edge">
            <path d="M0 0v152l12 10 12-10 12 10 12-10 12 10 12-10 12 10 12-10 12 10 12-10 12 10 12-10 12 10 12-10 12 10 12-10 12 10 12-10 12 10 12-10 12 10 12-10V0z"/>
        </clipPath>
    </defs>
    <g clip-path="url(#jagged-edge)" fill="#eaecf0">
        <path id="background" fill="#fff" d="M0 0h264v162H0"/>
        <path id="logo" d="M11 22c0-8 6-14 14-14s14 6 14 14-6 14-14 14-14-6-14-14M38 45v-5H13v5h25"/>
        <path id="sidebar" d="M38 163V58H13v106h25"/>
        <path id="personal-tools" d="M233 5h26v6h-26V5zM209 5h22v6h-22zM185 5h22v6h-22zM162 5h13v6h-13zM177 5h6v6h-6zM154 5h6v6h-6z"/>
        <g id="search">
            <path id="input" d="M258 16v4h-92v-4h92m1-1h-94v6h94v-6z"/>
            <path id="icon" d="M168 17h2v2h-2z"/>
        </g>
        <path id="article" d="M252 162V29H48v133z"/>
        <path id="border" d="M0 0v162h264V0zm1 1h262v150.533l-11 9.166-12-10-12 10-12-10-12 10-12-10-12 10-12-10-12 10-12-10-12 10-12-10-12 10-12-10-12 10-12-10-12 10-12-10-12 10-12-10-12 10-11-9z"/>
        <!-- Insert beta feature content here -->
    </g>
</svg>

Details

Related Gerrit Patches:
mediawiki/extensions/TwoColConflict : masterUnify BetaFeatures SVG screenshot markup
mediawiki/extensions/ORES : masterUnify BetaFeatures SVG screenshot markup
mediawiki/extensions/CodeMirror : masterUnify BetaFeatures SVG screenshot markup
mediawiki/extensions/TwoColConflict : masterUnify BetaFeatures SVG screenshot markup
mediawiki/extensions/ORES : masterUnify BetaFeatures SVG screenshot markup
mediawiki/extensions/UniversalLanguageSelector : masterBetaFeatures SVGs: Merge logo and title path
mediawiki/extensions/BetaFeatures : masterBetaFeatures SVGs: Merge logo and title path
mediawiki/extensions/Flow : masterUnify BetaFeatures SVG screenshot markup
mediawiki/extensions/Popups : masterBetaFeatures logo: Merge logo and title path
mediawiki/extensions/Popups : masterUnify BetaFeatures SVG screenshot markup
mediawiki/extensions/UniversalLanguageSelector : masterUnify BetaFeatures SVG screenshot markup
mediawiki/extensions/BetaFeatures : masterUnify BetaFeatures SVG screenshot markup
mediawiki/extensions/BetaFeatures : masterUpdate Base80 color in betafeatures icons
mediawiki/extensions/CodeMirror : masterUpdate betafeatures icons' colors
mediawiki/extensions/WikimediaMessages : masterUpdate betafeatures icons' colors
mediawiki/extensions/TwoColConflict : masterUpdate betafeatures icons' SVG
mediawiki/extensions/UniversalLanguageSelector : masterUpdate colors betafeatures icon
mediawiki/extensions/VisualEditor : masterUpdate colors of betafeatures icon
mediawiki/extensions/Flow : masterUpdate colors of betafeatures icons
mediawiki/extensions/ORES : masterUpdate colors of betafeatures icon
mediawiki/extensions/Popups : masterUpdate colors of betafeatures icons

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Prtksxna updated the task description. (Show Details)Nov 21 2017, 4:33 AM

Change 392578 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/extensions/UniversalLanguageSelector@master] Update colors betafeatures icon

https://gerrit.wikimedia.org/r/392578

Change 392581 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/extensions/Popups@master] Update colors of betafeatures icons

https://gerrit.wikimedia.org/r/392581

Change 392586 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/extensions/Flow@master] Update colors of betafeatures icons

https://gerrit.wikimedia.org/r/392586

Prtksxna updated the task description. (Show Details)Nov 21 2017, 7:22 AM
phuedx updated the task description. (Show Details)Nov 21 2017, 9:12 AM
phuedx added subscribers: Nirzar, phuedx.

@Nirzar: Friendly ping! @Prtksxna has very kindly put up old and new versions of the SVGs for comparison.

Old:


New:

Cool?

NB there is also a template file in the BF extension itself: screenshot-template-ltr/rtl.svg

Change 392581 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Update colors of betafeatures icons

https://gerrit.wikimedia.org/r/392581

Prtksxna updated the task description. (Show Details)Nov 22 2017, 11:19 AM
Prtksxna updated the task description. (Show Details)
Prtksxna updated the task description. (Show Details)Nov 22 2017, 11:27 AM
Prtksxna updated the task description. (Show Details)Nov 22 2017, 11:46 AM

Change 392824 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/extensions/VisualEditor@master] Update colors of betafeatures icon

https://gerrit.wikimedia.org/r/392824

Prtksxna updated the task description. (Show Details)Nov 22 2017, 11:58 AM
Prtksxna updated the task description. (Show Details)Nov 22 2017, 12:01 PM

Change 392827 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/extensions/ORES@master] Update colors of betafeatures icon

https://gerrit.wikimedia.org/r/392827

Prtksxna updated the task description. (Show Details)Nov 22 2017, 12:17 PM

Change 392827 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Update colors of betafeatures icon

https://gerrit.wikimedia.org/r/392827

Jdforrester-WMF updated the task description. (Show Details)

Change 392824 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update colors of betafeatures icon

https://gerrit.wikimedia.org/r/392824

Change 392586 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Update colors of betafeatures icons

https://gerrit.wikimedia.org/r/392586

Change 392578 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Update colors betafeatures icon

https://gerrit.wikimedia.org/r/392578

Change 393001 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/extensions/TwoColConflict@master] Update betafeatures icons' SVG

https://gerrit.wikimedia.org/r/393001

Prtksxna updated the task description. (Show Details)Nov 23 2017, 4:19 AM

Change 393003 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/extensions/WikimediaMessages@master] Update betafeatures icons' colors

https://gerrit.wikimedia.org/r/393003

Prtksxna updated the task description. (Show Details)Nov 23 2017, 4:46 AM

Change 393004 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/extensions/CodeMirror@master] Update betafeatures icons' colors

https://gerrit.wikimedia.org/r/393004

Prtksxna updated the task description. (Show Details)Nov 23 2017, 5:10 AM

Change 393006 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/extensions/BetaFeatures@master] Update Base80 color in betafeatures icons

https://gerrit.wikimedia.org/r/393006

Prtksxna updated the task description. (Show Details)Nov 23 2017, 5:20 AM
Prtksxna claimed this task.Nov 23 2017, 6:17 AM
phuedx removed a subscriber: phuedx.Nov 23 2017, 9:22 AM

Change 393001 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Update betafeatures icons' SVG

https://gerrit.wikimedia.org/r/393001

Change 393003 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Update betafeatures icons' colors

https://gerrit.wikimedia.org/r/393003

Change 393004 merged by jenkins-bot:
[mediawiki/extensions/CodeMirror@master] Update betafeatures icons' colors

https://gerrit.wikimedia.org/r/393004

Change 393006 merged by jenkins-bot:
[mediawiki/extensions/BetaFeatures@master] Update Base80 color in betafeatures icons

https://gerrit.wikimedia.org/r/393006

Change 393703 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/BetaFeatures@master] Unify BetaFeatures SVG screenshot markup

https://gerrit.wikimedia.org/r/393703

Volker_E updated the task description. (Show Details)Nov 28 2017, 2:23 AM
Prtksxna updated the task description. (Show Details)Nov 28 2017, 2:39 AM

Change 393703 merged by jenkins-bot:
[mediawiki/extensions/BetaFeatures@master] Unify BetaFeatures SVG screenshot markup

https://gerrit.wikimedia.org/r/393703

Prtksxna updated the task description. (Show Details)Nov 28 2017, 3:03 AM

Change 393706 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/UniversalLanguageSelector@master] Unify BetaFeatures SVG screenshot markup

https://gerrit.wikimedia.org/r/393706

Volker_E updated the task description. (Show Details)Nov 28 2017, 3:44 AM

Change 393706 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Unify BetaFeatures SVG screenshot markup

https://gerrit.wikimedia.org/r/393706

Change 393715 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Popups@master] Unify BetaFeatures SVG screenshot markup

https://gerrit.wikimedia.org/r/393715

Volker_E updated the task description. (Show Details)Nov 28 2017, 5:28 AM
Volker_E updated the task description. (Show Details)Nov 28 2017, 5:31 AM

Change 393716 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Flow@master] Unify BetaFeatures SVG screenshot markup

https://gerrit.wikimedia.org/r/393716

Volker_E updated the task description. (Show Details)Nov 28 2017, 7:11 AM
Volker_E updated the task description. (Show Details)Nov 28 2017, 7:48 AM
Volker_E updated the task description. (Show Details)

Change 393715 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Unify BetaFeatures SVG screenshot markup

https://gerrit.wikimedia.org/r/393715

Change 393823 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Popups@master] BetaFeatures logo: Merge logo and title path

https://gerrit.wikimedia.org/r/393823

Change 393823 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] BetaFeatures logo: Merge logo and title path

https://gerrit.wikimedia.org/r/393823

Change 393961 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/UniversalLanguageSelector@master] BetaFeatures SVGs: Merge logo and title path

https://gerrit.wikimedia.org/r/393961

Change 393963 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/BetaFeatures@master] BetaFeatures SVGs: Merge logo and title path

https://gerrit.wikimedia.org/r/393963

Change 393716 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Unify BetaFeatures SVG screenshot markup

https://gerrit.wikimedia.org/r/393716

Change 393963 merged by jenkins-bot:
[mediawiki/extensions/BetaFeatures@master] BetaFeatures SVGs: Merge logo and title path

https://gerrit.wikimedia.org/r/393963

Change 393989 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/extensions/ORES@master] Unify BetaFeatures SVG screenshot markup

https://gerrit.wikimedia.org/r/393989

Change 393992 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/extensions/TwoColConflict@master] Unify BetaFeatures SVG screenshot markup

https://gerrit.wikimedia.org/r/393992

Change 393996 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/extensions/CodeMirror@master] Unify BetaFeatures SVG screenshot markup

https://gerrit.wikimedia.org/r/393996

Change 393961 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] BetaFeatures SVGs: Merge logo and title path

https://gerrit.wikimedia.org/r/393961

Prtksxna updated the task description. (Show Details)Nov 29 2017, 7:14 AM

Change 394521 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/extensions/ORES@master] Unify BetaFeatures SVG screenshot markup

https://gerrit.wikimedia.org/r/394521

Change 393989 abandoned by Prtksxna:
Unify BetaFeatures SVG screenshot markup

Reason:
Sorry, I wasn't sure how to salvage this. See https://gerrit.wikimedia.org/r/394521 instead.

https://gerrit.wikimedia.org/r/393989

Change 394523 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/extensions/TwoColConflict@master] Unify BetaFeatures SVG screenshot markup

https://gerrit.wikimedia.org/r/394523

Change 393992 abandoned by Prtksxna:
Unify BetaFeatures SVG screenshot markup

Reason:
Sorry for the confusion but I was having trouble salvaging this patch. See https://gerrit.wikimedia.org/r/394523 instead.

https://gerrit.wikimedia.org/r/393992

Volker_E updated the task description. (Show Details)Dec 1 2017, 7:17 PM

Change 393996 merged by jenkins-bot:
[mediawiki/extensions/CodeMirror@master] Unify BetaFeatures SVG screenshot markup

https://gerrit.wikimedia.org/r/393996

Volker_E updated the task description. (Show Details)Dec 2 2017, 4:07 AM
Volker_E updated the task description. (Show Details)Dec 2 2017, 4:12 AM

Change 394521 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Unify BetaFeatures SVG screenshot markup

https://gerrit.wikimedia.org/r/394521

Change 394523 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Unify BetaFeatures SVG screenshot markup

https://gerrit.wikimedia.org/r/394523

Volker_E renamed this task from Align betafeature SVGs to each other to Align BetaFeature SVGs to each other.Dec 4 2017, 8:01 PM
Volker_E closed this task as Resolved.
Volker_E removed a project: Patch-For-Review.
Volker_E updated the task description. (Show Details)
Volker_E removed a subscriber: gerritbot.